package com.ssj.service.weixin.library.dto.out;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import java.util.ArrayList;
import java.util.List;

public class BookViewOutDto extends BaseRequest {
    /**
     * 书籍标题
     */
    private String title;
    /**
     * 书籍封面
     */
    private String localImage;
    /**
     * 主题名称
     */
    private String themeName;

    /**
     * 年级
     */
    private String grade;
    /**
     * 简介
     */
    private String summary;

    List<IndexOutDto> sameList = new ArrayList<>();

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getLocalImage() {
        return localImage;
    }

    public void setLocalImage(String localImage) {
        this.localImage = localImage;
    }

    public String getThemeName() {
        return themeName;
    }

    public void setThemeName(String themeName) {
        this.themeName = themeName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public List<IndexOutDto> getSameList() {
        return sameList;
    }

    public void setSameList(List<IndexOutDto> sameList) {
        this.sameList = sameList;
    }
}
